> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /crexi/properties/brokers

> Get the listing brokers for a Crexi property: broker name, public profile id, license numbers and full license details (number, type, state, brokerage), badges, number of active assets, brokerage (name, website, logo, address) and the public profile URL.

**Price:** 1 credit

**⚠️ Common errors:** 412: Property not found (well-formed id but no active listing for it)



## OpenAPI

````yaml /openapi/real-estate.json post /api/crexi/properties/brokers
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/crexi/properties/brokers:
    post:
      tags:
        - /crexi
      summary: /crexi/properties/brokers
      description: >-
        Get the listing brokers for a Crexi property: broker name, public
        profile id, license numbers and full license details (number, type,
        state, brokerage), badges, number of active assets, brokerage (name,
        website, logo, address) and the public profile URL.


        **Price:** 1 credit


        **⚠️ Common errors:** 412: Property not found (well-formed id but no
        active listing for it)
      operationId: __api_crexi_properties_brokers_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CrexiPropertiesBrokersPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CrexiListingBroker'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CrexiPropertiesBrokersPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        property:
          type: string
          minLength: 1
      type: object
      required:
        - property
    CrexiListingBroker:
      properties:
        '@type':
          type: string
          default: CrexiListingBroker
        id:
          type: integer
        global_id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        first_name:
          anyOf:
            - type: string
            - type: 'null'
        last_name:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        asset_count:
          anyOf:
            - type: integer
            - type: 'null'
        is_platinum:
          anyOf:
            - type: boolean
            - type: 'null'
        is_internal:
          anyOf:
            - type: boolean
            - type: 'null'
        is_auctioneer:
          anyOf:
            - type: boolean
            - type: 'null'
        verification_method:
          anyOf:
            - type: string
            - type: 'null'
        badges:
          items:
            type: string
          type: array
          default: []
        licenses:
          items:
            type: string
          type: array
          default: []
        license_details:
          items:
            $ref: '#/components/schemas/CrexiLicense'
          type: array
          default: []
        brokerage:
          anyOf:
            - $ref: '#/components/schemas/CrexiBrokerage'
            - type: 'null'
        profile_url:
          anyOf:
            - type: string
            - type: 'null'
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    CrexiLicense:
      properties:
        '@type':
          type: string
          default: CrexiLicense
        number:
          anyOf:
            - type: string
            - type: 'null'
        license_type:
          anyOf:
            - type: string
            - type: 'null'
        state_code:
          anyOf:
            - type: string
            - type: 'null'
        broker_title:
          anyOf:
            - type: string
            - type: 'null'
        brokerage_name:
          anyOf:
            - type: string
            - type: 'null'
        brokerage_city:
          anyOf:
            - type: string
            - type: 'null'
        brokerage_state_code:
          anyOf:
            - type: string
            - type: 'null'
        is_auctioneer:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
    CrexiBrokerage:
      properties:
        '@type':
          type: string
          default: CrexiBrokerage
        name:
          anyOf:
            - type: string
            - type: 'null'
        website:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        location:
          anyOf:
            - $ref: '#/components/schemas/CrexiLocation'
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    CrexiLocation:
      properties:
        '@type':
          type: string
          default: CrexiLocation
        address:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        county:
          anyOf:
            - type: string
            - type: 'null'
        state_code:
          anyOf:
            - type: string
            - type: 'null'
        state_name:
          anyOf:
            - type: string
            - type: 'null'
        zip:
          anyOf:
            - type: string
            - type: 'null'
        latitude:
          anyOf:
            - type: number
            - type: 'null'
        longitude:
          anyOf:
            - type: number
            - type: 'null'
        full_address:
          anyOf:
            - type: string
            - type: 'null'
      type: object
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````